% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidy-posterior-BART.R
\name{fitted_draws.mbart}
\alias{fitted_draws.mbart}
\title{Get fitted draws from posterior of \code{mbart} model}
\usage{
\method{fitted_draws}{mbart}(
  model,
  newdata,
  value = ".value",
  ...,
  n = NULL,
  include_newdata = TRUE,
  include_sigsqs = FALSE
)
}
\arguments{
\item{model}{A model from \code{BART} package.}

\item{newdata}{Data frame to generate fitted values from. If omitted, defaults to the data used to fit the model.}

\item{value}{The name of the output column for \code{fitted_draws}; default \code{".value"}.}

\item{...}{Not currently in use.}

\item{n}{Not currently implemented.}

\item{include_newdata}{Should the newdata be included in the tibble?}

\item{include_sigsqs}{Should the posterior sigma-squared draw be included?}
}
\value{
A tidy data frame (tibble) with fitted values.
}
\description{
Get fitted draws from posterior of \code{mbart} model
}
